Zum Inhalt springen
Bpanda
Esc
↑↓navigieren↵öffnen⌘Jvorschau

List all roles.

List all roles. Get all organizational roles (sorted by title) Title will be returned by the first available of the accepted languages in the header (it, de, …).

Security: Any user holding a Bpanda licence for the process space.

GET/v1/warehouses/{warehouseId}/orgstructure/roles
Autorisierung
AuthorizationBearer-Token (JWT) · headererforderlich
BpmLicenseAPI-Schlüssel · headererforderlich
Pfadparameter
warehouseIdstringerforderlich

ID of warehouse

Query-Parameter
fromAccumulatedboolean

Use only roles or roles and role subsets (intersections with org units)

Antworten
200

The available organizational roles.

Array von OrgRoleNew
baseRoleIdstring
descriptionLocalizedFormattedText[]erforderlich
Eigenschaften anzeigen
Array von LocalizedFormattedText
formatTextFormaterforderlich
Erlaubt:BBCodeHTMLPlainText
textLocalizedStringerforderlich
Eigenschaften anzeigen
translationsStringTranslation[]erforderlich
valuestring
externalbooleanerforderlich
idstring
roleTypeIdstringerforderlich
subTypestringerforderlich
titleLocalizedStringerforderlich
Eigenschaften anzeigen
translationsStringTranslation[]erforderlich
Eigenschaften anzeigen
Array von StringTranslation
languagestringerforderlich
valuestring
valuestring
unitIdstring
userIdsstring[]erforderlich
Ausprobieren
Server
Autorisierung
Parameter
Anfrage
curl -X GET 'https://goto.bpanda.com/api/v1/warehouses/string/orgstructure/roles' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'BpmLicense: YOUR_API_KEY' \
  -H 'Accept: application/json'
Antwort
[
  {
    "baseRoleId": "string",
    "description": [
      {
        "format": "BBCode",
        "text": {
          "translations": [
            {
              "language": "string",
              "value": "string"
            }
          ],
          "value": "string"
        }
      }
    ],
    "external": true,
    "id": "string",
    "roleTypeId": "string",
    "subType": "string",
    "title": {
      "translations": [
        {
          "language": "string",
          "value": "string"
        }
      ],
      "value": "string"
    },
    "unitId": "string",
    "userIds": [
      "string"
    ]
  }
]